> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /superjob/vacancies/similar

> List SuperJob vacancies similar to a given vacancy

**Price:** 5 credits per 10 results

**⚠️ Common errors:** 412: Vacancy not found



## OpenAPI

````yaml /openapi/jobs.json post /api/superjob/vacancies/similar
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/superjob/vacancies/similar:
    post:
      tags:
        - /superjob
      summary: /superjob/vacancies/similar
      description: |-
        List SuperJob vacancies similar to a given vacancy

        **Price:** 5 credits per 10 results

        **⚠️ Common errors:** 412: Vacancy not found
      operationId: __api_superjob_vacancies_similar_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SuperjobSimilarVacanciesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SuperjobVacancySearchItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuperjobSimilarVacanciesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        vacancy_id:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - vacancy_id
        - count
    SuperjobVacancySearchItem:
      properties:
        '@type':
          type: string
          default: SuperjobVacancySearchItem
        id:
          type: integer
        name:
          type: string
        url:
          type: string
        salary:
          anyOf:
            - $ref: '#/components/schemas/SuperjobSalary'
            - type: 'null'
        company:
          anyOf:
            - $ref: '#/components/schemas/SuperjobVacancyCompany'
            - type: 'null'
        area_id:
          anyOf:
            - type: integer
            - type: 'null'
        area_name:
          anyOf:
            - type: string
            - type: 'null'
        region_name:
          anyOf:
            - type: string
            - type: 'null'
        metro_stations:
          items:
            $ref: '#/components/schemas/SuperjobMetroStation'
          type: array
          default: []
        experience:
          anyOf:
            - type: string
            - type: 'null'
        experience_label:
          anyOf:
            - type: string
            - type: 'null'
        profession:
          anyOf:
            - type: string
            - type: 'null'
        catalogues:
          items:
            type: string
          type: array
          default: []
        tags:
          items:
            type: string
          type: array
          default: []
        tag_keys:
          items:
            type: string
          type: array
          default: []
        snippet:
          anyOf:
            - type: string
            - type: 'null'
        is_remote:
          anyOf:
            - type: boolean
            - type: 'null'
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
        - name
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    SuperjobSalary:
      properties:
        '@type':
          type: string
          default: SuperjobSalary
        salary_from:
          anyOf:
            - type: integer
            - type: 'null'
        salary_to:
          anyOf:
            - type: integer
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        currency_label:
          anyOf:
            - type: string
            - type: 'null'
        period:
          anyOf:
            - type: string
            - type: 'null'
        period_label:
          anyOf:
            - type: string
            - type: 'null'
        is_by_agreement:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    SuperjobVacancyCompany:
      properties:
        '@type':
          type: string
          default: SuperjobVacancyCompany
        id:
          anyOf:
            - type: integer
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          anyOf:
            - type: string
            - type: 'null'
        vacancy_count:
          anyOf:
            - type: integer
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        is_redirect:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
    SuperjobMetroStation:
      properties:
        '@type':
          type: string
          default: SuperjobMetroStation
        name:
          anyOf:
            - type: string
            - type: 'null'
        line:
          anyOf:
            - type: string
            - type: 'null'
        line_color:
          anyOf:
            - type: string
            - type: 'null'
        time_to_metro:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````